POST api/ItemsBOMHeads/GetSelect2ItemsBOMList

No documentation available.

Request Information

Parameters

NameDescriptionAdditional information
paramList
No documentation available.

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
[
  {},
  {},
  {}
]

text/html

Sample:
[{},{},{}]

application/xml, text/xml

Sample:
<ArrayOfanyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
  <anyType />
  <anyType />
  <anyType />
</ArrayOfanyType>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

No documentation available.

Response body formats

application/json, text/json

Sample:
[
  {
    "ID": "58e1f4e0-7e4f-41f5-855a-2b3955000106",
    "CompID": "80aef0cc-a211-404a-a7e1-319e2f29ddbf",
    "AtrnYear": 3,
    "ProductName": "sample string 4",
    "searchString": "sample string 5",
    "pageNo": 6,
    "totalRows": 7,
    "ReturnCode": 8,
    "ReturnMessage": "sample string 9",
    "ErrorMessage": "sample string 10"
  },
  {
    "ID": "58e1f4e0-7e4f-41f5-855a-2b3955000106",
    "CompID": "80aef0cc-a211-404a-a7e1-319e2f29ddbf",
    "AtrnYear": 3,
    "ProductName": "sample string 4",
    "searchString": "sample string 5",
    "pageNo": 6,
    "totalRows": 7,
    "ReturnCode": 8,
    "ReturnMessage": "sample string 9",
    "ErrorMessage": "sample string 10"
  },
  {
    "ID": "58e1f4e0-7e4f-41f5-855a-2b3955000106",
    "CompID": "80aef0cc-a211-404a-a7e1-319e2f29ddbf",
    "AtrnYear": 3,
    "ProductName": "sample string 4",
    "searchString": "sample string 5",
    "pageNo": 6,
    "totalRows": 7,
    "ReturnCode": 8,
    "ReturnMessage": "sample string 9",
    "ErrorMessage": "sample string 10"
  }
]

text/html

Sample:
[{"ID":"58e1f4e0-7e4f-41f5-855a-2b3955000106","CompID":"80aef0cc-a211-404a-a7e1-319e2f29ddbf","AtrnYear":3,"ProductName":"sample string 4","searchString":"sample string 5","pageNo":6,"totalRows":7,"ReturnCode":8,"ReturnMessage":"sample string 9","ErrorMessage":"sample string 10"},{"ID":"58e1f4e0-7e4f-41f5-855a-2b3955000106","CompID":"80aef0cc-a211-404a-a7e1-319e2f29ddbf","AtrnYear":3,"ProductName":"sample string 4","searchString":"sample string 5","pageNo":6,"totalRows":7,"ReturnCode":8,"ReturnMessage":"sample string 9","ErrorMessage":"sample string 10"},{"ID":"58e1f4e0-7e4f-41f5-855a-2b3955000106","CompID":"80aef0cc-a211-404a-a7e1-319e2f29ddbf","AtrnYear":3,"ProductName":"sample string 4","searchString":"sample string 5","pageNo":6,"totalRows":7,"ReturnCode":8,"ReturnMessage":"sample string 9","ErrorMessage":"sample string 10"}]

application/xml, text/xml

Sample:
<ArrayOfItemsBOMListModels xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/TABSINVBL.Models">
  <ItemsBOMListModels>
    <ErrorMessage>sample string 10</ErrorMessage>
    <ReturnCode>8</ReturnCode>
    <ReturnMessage>sample string 9</ReturnMessage>
    <AtrnYear>3</AtrnYear>
    <CompID>80aef0cc-a211-404a-a7e1-319e2f29ddbf</CompID>
    <ID>58e1f4e0-7e4f-41f5-855a-2b3955000106</ID>
    <ProductName>sample string 4</ProductName>
    <pageNo>6</pageNo>
    <searchString>sample string 5</searchString>
    <totalRows>7</totalRows>
  </ItemsBOMListModels>
  <ItemsBOMListModels>
    <ErrorMessage>sample string 10</ErrorMessage>
    <ReturnCode>8</ReturnCode>
    <ReturnMessage>sample string 9</ReturnMessage>
    <AtrnYear>3</AtrnYear>
    <CompID>80aef0cc-a211-404a-a7e1-319e2f29ddbf</CompID>
    <ID>58e1f4e0-7e4f-41f5-855a-2b3955000106</ID>
    <ProductName>sample string 4</ProductName>
    <pageNo>6</pageNo>
    <searchString>sample string 5</searchString>
    <totalRows>7</totalRows>
  </ItemsBOMListModels>
  <ItemsBOMListModels>
    <ErrorMessage>sample string 10</ErrorMessage>
    <ReturnCode>8</ReturnCode>
    <ReturnMessage>sample string 9</ReturnMessage>
    <AtrnYear>3</AtrnYear>
    <CompID>80aef0cc-a211-404a-a7e1-319e2f29ddbf</CompID>
    <ID>58e1f4e0-7e4f-41f5-855a-2b3955000106</ID>
    <ProductName>sample string 4</ProductName>
    <pageNo>6</pageNo>
    <searchString>sample string 5</searchString>
    <totalRows>7</totalRows>
  </ItemsBOMListModels>
</ArrayOfItemsBOMListModels>